# We need to patch the test suite if we have an old version of Test::More
%global old_test_more %(perl -MTest::More -e 'print (($Test::More::VERSION < 0.88) ? 1 : 0);' 2>/dev/null || echo 0)

Name:           perl-Test-Portability-Files
Version:        0.06
Release:        1%{?dist}
Summary:        Check file names portability
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Test-Portability-Files/
Source0:        http://www.cpan.org/authors/id/A/AB/ABRAXXA/Test-Portability-Files-%{version}.tar.gz
Patch1:         Test-Portability-Files-0.06-old-Test::More.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:      noarch
# Build
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.30
# Runtime
BuildRequires:  perl(Exporter)
BuildRequires:  perl(ExtUtils::Manifest)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Test Suite
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(Test::Builder)
BuildRequires:  perl(Test::More) >= 0.47
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
This module is used to check the portability across operating systems of
the names of the files present in the distribution of a module. The tests
use the advice given in "Files and Filesystems" in perlport. The author of
a distribution can select which tests to execute.

%prep
%setup -q -n Test-Portability-Files-%{version}

# We need to patch the test suite if we have an old version of Test::More
%if %{old_test_more}
%patch1
%endif

%build
perl Makefile.PL INSTALLDIRS=vendor
make

%install
rm -rf $RPM_BUILD_ROOT
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
%{_fixperms} $RPM_BUILD_ROOT

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc Changes LICENSE README
%{perl_vendorlib}/Test/
%{_mandir}/man3/Test::Portability::Files.3pm*

%changelog
* Tue Sep 24 2013 Paul Howarth <paul@city-fan.org> - 0.06-1
- Update to 0.06
  - Created git repository on github.com
  - Converted to Dist::Zilla
  - Fixed options cannot take a false value (CPAN RT#21631)
  - Disabled AmigaOS and Mac OS Classic tests by default because they are no
    longer supported by Perl itself (CPAN RT#12182)
  - Updated synopsis to show recommended author-only usage (CPAN RT#43948)
- This release by ABRAXXA -> update source URL
- LICENSE.Artistic and LICENSE.GPL no longer included upstream
- Classify buildreqs by usage
- Add test suite patch to retain EPEL-5 build compatibility
- Drop %%defattr, redundant since rpm 4.4
- Make %%files list more explicit
- Don't use macros for commands
- Don't need to remove empty directories from the buildroot
- Use DESTDIR rather than PERL_INSTALL_ROOT
- Use 'make pure_install' rather than 'make install'

* Sat Sep 16 2006 Steven Pritchard <steve@kspei.com> 0.05-3
- Fix find option order.

* Fri May 12 2006 Steven Pritchard <steve@kspei.com> 0.05-2
- Use Makefile.PL temporarily to work around Module::Build breakage.

* Fri May 12 2006 Steven Pritchard <steve@kspei.com> 0.05-1
- Specfile autogenerated by cpanspec 1.66.
